org.cybergarage.upnp.ssdp

## Class SSDPRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.upnp.ssdp.SSDPRequest

- Direct Known Subclasses:
    SSDPNotifyRequest, SSDPSearchRequest

      public class SSDPRequest
      extends HTTPRequest

  Base class for SSDP request messages.

  This class extends HTTPRequest to provide common functionality for SSDP (Simple Service Discovery Protocol) request messages used in UPnP device discovery and advertisement. It serves as the foundation for specific SSDP request types.

  Key features:

  - SSDP request header management
  - HTTP/1.1 version compliance
  - Common SSDP header operations
  - Request parsing and creation
  - Multicast communication support

  This class provides the base functionality for SSDP M-SEARCH and NOTIFY requests, handling common header management and HTTP protocol compliance for SSDP operations in UPnP networks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPRequest()`
    `SSDPRequest(InputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBootId()`
    `int` | `getLeaseTime()`
    `String` | `getLocation()`
    `String` | `getNT()`
    `String` | `getNTS()`
    `String` | `getUSN()`
    `void` | `setBootId(int bootId)`
    `void` | `setLeaseTime(int len)`
    `void` | `setLocation(String value)`
    `void` | `setNT(String value)`
    `void` | `setNTS(String value)`
    `void` | `setUSN(String value)`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, print, read, returnBadRequest, returnOK, returnResponse, set, setBindHost, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPRequest

          public SSDPRequest()

    - #### SSDPRequest

          public SSDPRequest(InputStream in)

  - ### Method Detail

    - #### getBootId

          public int getBootId()

    - #### getLeaseTime

          public int getLeaseTime()

    - #### getLocation

          public String getLocation()

    - #### getNT

          public String getNT()

    - #### getNTS

          public String getNTS()

    - #### getUSN

          public String getUSN()

    - #### setBootId

          public void setBootId(int bootId)

    - #### setLeaseTime

          public void setLeaseTime(int len)

    - #### setLocation

          public void setLocation(String value)

    - #### setNT

          public void setNT(String value)

    - #### setNTS

          public void setNTS(String value)

    - #### setUSN

          public void setUSN(String value)